Summary:	IBM JFS utility programs
Name:		jfsutils
Version:	1.1.15
Release:	%mkrel 12
License:	GPLv3
Group:		System/Kernel and hardware
URL:		https://jfs.sourceforge.net/
Source0:	https://jfs.sourceforge.net/project/pub/%{name}-%{version}.tar.gz
Patch0:		jfsutils-1.1.12-uuid.patch
Patch1:		jfsutils-1.1.15-inttypes.patch
Patch2:		jfsutils-1.1.15-string-literal.diff
Patch3:		jfsutils-1.1.15-sysmacros.patch
Patch4:		jfsutils-1.1.15-mga-multiple-def.patch
Obsoletes:	jfsprogs < %version-%release
Provides:	jfsprogs = %version-%release
BuildRequires:	pkgconfig(blkid)
BuildRequires:	pkgconfig(uuid)

%description
The jfsutils package contains a number of utilities for creating,
checking, modifying, and correcting any inconsistencies in JFS
filesystems.  The following utilities are available: fsck.jfs - initiate
replay of the JFS transaction log, and check and repair a JFS formatted
device; logdump - dump a JFS formatted device's journal log; logredo -
"replay" a JFS formatted device's journal log;  mkfs.jfs - create a JFS
formatted partition; xchkdmp - dump the contents of a JFS fsck log file
created with xchklog; xchklog - extract a log from the JFS fsck workspace
into a file;  xpeek - shell-type JFS file system editor.

%prep
%autosetup -p1

%build
%configure	--sbindir=%{_sbindir}
%make_build

%install
%make_install

%files
%{_sbindir}/*
%{_mandir}/*/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.1.15-12.mga10
+ Revision: 2212629
- Mageia 10 Mass Rebuild

* Tue Mar 29 2022 umeabot <umeabot> 1.1.15-11.mga9
+ Revision: 1833467
- Mageia 9 Mass Rebuild

* Sun May 24 2020 danf <danf> 1.1.15-10.mga8
+ Revision: 1587159
- Fix multiple definitions error with gcc 10

* Thu Feb 13 2020 umeabot <umeabot> 1.1.15-9.mga8
+ Revision: 1513733
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Sep 26 2018 daviddavid <daviddavid> 1.1.15-8.mga7
+ Revision: 1305965
- add patch to fix build with new glibc
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 1.1.15-7.mga6
+ Revision: 938323
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.15-6.mga5
+ Revision: 750186
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.15-5.mga5
+ Revision: 680795
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.15-4.mga4
+ Revision: 521037
- Mageia 4 Mass Rebuild

* Tue Jan 15 2013 sander85 <sander85> 1.1.15-3.mga3
+ Revision: 388418
- Fix build (patch from Arch Linux)
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 31 2011 tv <tv> 1.1.15-2.mga2
+ Revision: 131084
- patch 2: further more string literal fixes
- patch 2: more string literal fixes
- new release
- drop patch 1 (merged upstream)
- fix tarball URL

* Sat Apr 30 2011 misc <misc> 1.1.13-4.mga1
+ Revision: 93880
- increase release to update from mandriva

* Wed Feb 09 2011 ennael <ennael> 1.1.13-3.mga1
+ Revision: 49533
- remove manbo macro
- imported package jfsutils


* Tue Aug 04 2009 Eugeni Dodonov <eugeni@mandriva.com> 1.1.13-3mnb2
+ Revision: 409346
- Added buildrequires for libuuid.

* Tue Jun 09 2009 Frederic Crozat <fcrozat@mandriva.com> 1.1.13-2mnb2
+ Revision: 384365
- Switch to libblkid-devel

* Sun Dec 21 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.13-1mnb2
+ Revision: 316956
- 1.1.13
- fix build with -Werror=format-security (P1)

* Tue Aug 05 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.1.12-4mnb2
+ Revision: 263694
- rebuild

* Tue Mar 04 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.1.12-3mnb1
+ Revision: 178446
- really describe it (from rh)

* Tue Mar 04 2008 Makoto Dei <makoto@turbolinux.co.jp> 1.1.12-2mnb1
+ Revision: 178423
- accept UUID=.... as the device name (#37156)

  + Pixel <pixel@mandriva.com>
    - add versioning to the Obsoletes/Provides on jfsprogs

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.1.12-1mnb1
+ Revision: 170653
- replace %%mkrel with %%manbo_mkrel for Manbo Core 1

  + Pascal Terjan <pterjan@mandriva.org>
    - Rename to jfsutils

* Thu Jan 17 2008 Olivier Blin <oblin@mandriva.com> 1.1.12-1mdv2008.1
+ Revision: 154186
- 1.1.12

* Sun Jan 13 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.1.11-3mdv2008.1
+ Revision: 150419
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed May 09 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.1.11-2mdv2008.0
+ Revision: 25775
- build on all archs, drop ExclusiveArch
- update url
- Import jfsprogs



* Wed Sep 06 2006 Andreas Hasenack <andreas@mandriva.com> 1.1.11-1mdv2007.0
- updated to version 1.1.11 (#25275)
- fix buffer overflow/segfault (#24027)

* Fri Jan 20 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.1.7-4mdk
- build on ppc64

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.1.7-3mdk
- Rebuild

* Wed Nov  3 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1.7-2mdk
- build on x86_64

* Wed Aug 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.1.7-1mdk
- 1.1.7
- drop useless prefix
- cosmetics

* Thu Apr 29 2004 Juan Quintela <quintela@mandrakesoft.com> 1.1.6-1mdk
- remove patch inserted in 1.1.4, included upstream.
- 1.1.6.

* Thu Feb 26 2004 Thomas Backlund <tmb@mandrake.org> 1.1.4-2mdk
- updates from cvs
  * tune/tune.c: Don't use O_EXCL unless filesystem should be unmounted
  * xpeek/xpeek.c: Don't use O_EXCL
  * libfs/devices.h: remove dev_to_kdev
  * libfs/logredo.c: likewise
  * mkfs/mkfs.c: likewise
  * tune/tune.c: likewise
  * libfs/fsckmsgdef.c: fix errant message that caused a seg fault
  * fsck/fsckconn.c: likewise
  * fsck/fsckmeta.c: Rework duplicate block checking to avoid horrible
    performance
  * fsck/fsckwsp.c: likewise
  * fsck/xfsckint.h: likewise
  * libfs/fsckwsp.h: likewise
  * libfs/fsck_message.h: Remove redundant semicolons
  * libfs/log_work.c: fix replaying of symlink journal records
  * fsck/xchkdsk.c: fix buffer overflow
  * fsck/fsckdire.c: zero directory index field
  * fsck/fsckdtre.c: shorten names in lost+found

* Thu Feb 26 2004 Frederic Lepied <flepied@mandrakesoft.com>  1.1.4-1mdk
- New release 1.1.4

* Mon Apr 21 2003 Stefan van der Eijk <stefan@eijk.nu> 1.0.24-2mdk
- BuildRequires

* Tue Jan  7 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.24-1mdk
- Bump to version 1.0.24.

* Wed Aug 14 2002 Juan Quintela <quintela@mandrakesoft.com> 1.0.21-1mdk
- 1.0.21.

* Tue Jan 29 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.14-1mdk
- 1.0.14.

* Fri Jan 11 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.12-1mdk
- 1.0.12.

* Thu Nov 29 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.10-1mdk
- 1.0.10.

* Fri Oct 12 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.7-2mdk
- Compile only on ia32.

* Thu Oct 11 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.7-1mdk
- 1.0.7.

* Wed Oct  3 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.6-1mdk
- 1.0.6.

* Mon Sep 17 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.5-1mdk
- 1.0.5.

* Sat Sep  1 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.4-1mdk
- 1.0.4.

* Tue Aug 21 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.3-1mdk
- Use optflags.
- 1.0.3.

* Sat Aug  4 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2.

* Wed Aug  1 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.1-1mdk
- First version.

# end of file
